Description

This proposed patch to qgis.utils modifies the plugin loading to allow users to define additional plugin path locations (for example shared

plugin folders).  It allows these paths to be defined by a QGIS_PYTHONPATH environment variable, which can hold multiple paths

separated by a semicolon.  In each path it will look for a plugins folder, and in that each folder containing an init.py* will be treated as a

plugin module.

History

#1 - 2010-03-30 12:50 AM - Martin Dobias

Chris,

may I suggest you to use e.g. QGIS_PLUGINPATH - that would contain path(s) directly to the directory with plugins. Because QGIS_PYTHONPATH gives

impression that one can override the whole python path and not just path for plugins. So, instead of QGIS_PYTHONPATH/plugins I suggest

QGIS_PLUGINPATH

Martin

#2 - 2010-03-30 11:10 AM - Chris Crook

Hi Martin

Good idea - I've updated the patch to do this.  This does mean that I've changed the findPlugin function - it now looks in the directory it is given, rather than

in the plugins subdirectory of that.  However as far as I can see it isn't used anywhere else, so I think that this should be Ok.

Chris

#3 - 2010-04-04 03:31 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Applied in  with few modifications

Files

utils_py.diff 1.62 KB 2010-03-30 Chris Crook

2024-03-13 1/1


